
Redmine - Defect #10915

Issue CSV export does not respect the "page=" request

2012-05-14 16:28 - Cheyenne Wills

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.4.2

Description

I was able to duplicate this using the redmine.org site..

go to: http://www.redmine.org/projects/redmine/issues

click on the "Also available in" CSV link

A pop-up appears, just select the export button.  A csv file is downloaded.

click on the "Next" link to go to the next page

click on the "Also available in" CSV link

A pop-up appears, just select the export button.  Another csv fle is downloaded.

The contents of the two files are the same.

I was expecting the 2nd csv file to contain the contents of the 2nd page.

It appears that if you bypass the pop-up (javascript) by right clicking on the CSV link, the data is downloaded correctly.

My web client is "Chromium Version 19.0.1084.36 (0)" running on a Gentoo system.

Related issues:

Related to Redmine - Feature #13770: Show warning, when exported issues excee... Closed

History

#1 - 2013-04-15 14:19 - Filou Centrinov

You are right, but this is not a bug. The CSV link tries always to export all issues that where filted (not the issues that are shown), but the export is

limited by a maximal allowed issues. You can define the limit in admin settings.

I created a new issue #13770

Close this issue?

#2 - 2013-04-15 16:27 - Cheyenne Wills

- Status changed from New to Resolved

I determined that the limit was due to the setting... so it is "working as designed".  Feel free to close the issue.  I addressed the problem with the users

by providing them with a small program that runs their query via the REST API.

The new issue you opened will address letting the users know what is happening.

#3 - 2013-04-15 17:08 - Daniel Felix

- Status changed from Resolved to Closed

Thanks for the feedback. I'm closing this issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.redmine.org/projects/redmine/issues
https://www.redmine.org/issues/13770
http://www.tcpdf.org

